Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## org.codehaus.groovy.grails.project.plugins
[Groovy] Class GrailsProjectPluginLoader

    java.lang.Object
      org.codehaus.groovy.grails.cli.api.BaseSettingsApi
          org.codehaus.groovy.grails.project.plugins.GrailsProjectPluginLoader

    @CompileStatic
    class GrailsProjectPluginLoader
    extends BaseSettingsApi

Loads the PluginManager and sets appropriate state

Authors:
  Graeme Rocher

Since:
  2.2

Field Summary

Fields inherited from class BaseSettingsApi
appClassName, buildEventListener, buildProps, buildSettings, configSlurper, enableProfile, grailsAppName, grailsHome, isInteractive, metadata, metadataFile, pluginSettings, pluginsHome, resolver

Property Summary
`java.lang.ClassLoader` | `classLoader`
`GrailsApplication` | `grailsApplication`

Constructor Summary
`GrailsProjectPluginLoader(GrailsApplication grailsApplication, java.lang.ClassLoader classLoader, BuildSettings buildSettings, GrailsBuildEventListener buildEventListener)`

Method Summary
`GrailsPluginManager` | `loadPlugins()`

Methods inherited from class BaseSettingsApi
confirmInput, confirmInput, copyGrailsResource, copyGrailsResource, copyGrailsResources, copyGrailsResources, enableUaa, exit, getAppClassName, getAppGrailsVersion, getBuildProps, getBuildSettings, getConfigSlurper, getGrailsAppName, getGrailsAppVersion, getGrailsHome, getIsInteractive, getMetadata, getMetadataFile, getPluginBuildSettings, getPluginSettings, getPluginsHome, getPropertyValue, getResolver, getServerHost, getServerPort, getServerPortHttps, getServletVersion, grailsResource, isDeclared, isEnableProfile, logError, logErrorAndExit, makeApiAvailableToScripts, makeRelative, makeRelative, profile, readAllPluginXmlMetadata, readPluginXmlMetadata, resolveResources, updateMetadata, updateMetadata

Methods inherited from class java.lang.Object
java.lang.Object#wait(), java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Property Detail

### classLoader

    java.lang.ClassLoader classLoader

### grailsApplication

    GrailsApplication grailsApplication

Constructor Detail

### GrailsProjectPluginLoader

    GrailsProjectPluginLoader(GrailsApplication grailsApplication, java.lang.ClassLoader classLoader, BuildSettings buildSettings, GrailsBuildEventListener buildEventListener)

Method Detail

### loadPlugins

    @CompileStatic
    GrailsPluginManager loadPlugins()

Groovy Documentation